package test;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Date;

import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns="/inject")
public class InjectServlet extends HttpServlet {
    private static final long serialVersionUID = 1L;

    @Inject
    Person pers;
    
    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response)
	    throws ServletException, IOException {

	response.setContentType("text/html");
	PrintWriter out = response.getWriter();
	out.println("<html><head><title>Test Inject</title></head><body>");
	out.println(new Date().toString() + "<br/>");

	if ( null == pers ){
		out.println("Inject failed!<br/>");
	}
	else{
		out.println("Inject OK<br/>");
	}

	out.println("</body>");
	out.println("</html>");
    }
}
